Package com.emc.documentum.store.atmos.bof.impl

# Class AtmosStore

java.lang.Object
com.documentum.fc.common.DfObject
com.documentum.fc.client.DfTypedObject
com.documentum.fc.client.DfPersistentObject
com.documentum.fc.client.content.impl.Store
com.emc.documentum.store.atmos.bof.impl.AtmosStore

All Implemented Interfaces:
  `IDfAspects`, `IDfStore`, `com.documentum.fc.client.content.impl.IStore`, `IDfPersistentObject`, `com.documentum.fc.client.IDfPersistentObjectInternal`, `IDfTypedObject`, `com.documentum.fc.client.IDfTypedObjectInternal`, `com.documentum.fc.client.impl.IPersistentObject`, `com.documentum.fc.client.impl.ITypedObject`, `com.documentum.fc.client.internal.IPersistentObjectInternal`, `com.documentum.fc.client.internal.ITypedObjectInternal`, `com.documentum.fc.client.relationship.IDfRelatable`, `com.documentum.fc.impl.util.reflection.proxy.IProxyTarget`, `com.documentum.fc.tracing.IUserIdentifyingObject`, `IDfAtmosStore`, `Cloneable`

public class AtmosStore extends com.documentum.fc.client.content.impl.Store implements IDfAtmosStore
Implementation of Atmos Store

Since:
  6.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.documentum.fc.client.DfTypedObject

  `com.documentum.fc.client.DfTypedObject.AbstractAttributeFilterImpl`

- ## Field Summary

  ### Fields inherited from class com.documentum.fc.client.content.impl.Store

  `ACS_CLIENT, CONTENT_SERVER, OFF_LINE, ON_LINE, READ_ONLY`

  ### Fields inherited from class com.documentum.fc.client.DfPersistentObject

  `ASPECT_NAME, IS_REPLICA, PARTITION, VSTAMP`

  ### Fields inherited from class com.documentum.fc.client.DfTypedObject

  `NO_ARGS`

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

  ### Fields inherited from interface com.documentum.fc.client.relationship.IDfRelatable

  `RELATIONSHIP_FOLDER, RELATIONSHIP_VIRTUAL_DOCUMENT, ROLE_CHILD, ROLE_PARENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtmosStore()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getStoreConfiguration()`
  `protected void`
  `init()`
  Performs custom initialization for a TBO when the Java object instance is first instantiated.
  `protected void`
  `onDataRefresh()`
  Called after the local copy of attribute values is refreshed, usually with a new copy from the repository.

  ### Methods inherited from class com.documentum.fc.client.content.impl.Store

  `addContentStorerExtraDataAttributes, calculateRetentionForServer, canFetchOfflineContent, ckNotPushedGetfileSupport, deleteContent, doSave, getAttributeHandler, getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getPath, getRequireTicket, getRetentionAttrName, getStatus, getStoreType, getStream, getStream, getStream, getUseMaskAfter, isContentImmutable, isRetentionEnabled, isSetStorageStateNeeded, isUsingDataTickets, makeContentStorerExtraData, makePullerInputStream, newContentStorer, onDataStale, onlyPushInContentXact, pushContentAttrsToStore, setBaseUrl, setCapacity, setComponent, setComponentId, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStatus, setStoreType, setUseMaskAfter, updateContentForStoreResult, validateNameIsUnique, verifyStoreSetContent, writeToStream`

  ### Methods inherited from class com.documentum.fc.client.DfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, applyUpdates, attachAspect, attachAspect, clearAttachCallbacks, clearDetachCallbacks, clone, customExportForIndexing, destroy, destroyEx, destroyEx2, destroyEx3, destroyInternal, detachAspect, detachAspect, doAddChildRelative, doAddParentRelative, doDestroy, doFetch, doLock, doRegisterEvent, doRemoveChildRelative, doRemoveParentRelative, doRevert, doSaveEx, doSignoff, doUnRegisterEvent, dynamicInvoke, exportForFtIndexing, fetch, fetchWithCaching, filterUnauthorizedContent, getAllRelated, getAspects, getAttachCallbacks, getAttr, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getData, getDetachCallbacks, getDocbaseApi, getDoubleProxyHandler, getExtendedData, getIndexExporter, getLinkData, getLinkDataWithType, getObjectFactory, getObjectManager, getParentRelatives, getPartition, getProxyHandler, getRefreshData, getRelated, getRelationshipRoles, getSaveData, getSaveMethod, getType, getValidator, getVStamp, getWidgetType, hasAttr, initialize, initialize, isCached, isCurrentWithServer, isDeleted, isDirty, isFederatedGlobalAttribute, isInSameDocbase, isInstanceOf, isInvalid, isNew, isQualifiedPeerRole, isRelated, isReplica, isUnmaterializedLightObject, lock, lockEx, markDeletedForRead, onDataMissing, onNoActiveCalls, onObjectReinit, onObjectReinit, onTransactionJoin, onTransactionRollback, refreshForReplicaSave, registerEvent, reinitialize, relate, relate, removeChildRelative, removeParentRelative, replaceData, requestDelayedDataRefresh, revert, revertEx, save, saveEx, saveInternal, scheduleClassRebuilding, setAspects, setCached, setData, setDataWithoutRefresh, setDirty, setDoubleProxyHandler, setExtendedData, setInvalid, setPartition, signoff, unRegisterEvent, unRegisterEventEx, unrelate, unrelateAll, updateStateAfterSave, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from class com.documentum.fc.client.DfTypedObject

  `addAttr, appendBoolean, appendBooleanInternal, appendBooleanRaw, appendBooleanUnchecked, appendDouble, appendDoubleInternal, appendDoubleRaw, appendDoubleUnchecked, appendId, appendIdInternal, appendIdRaw, appendIdUnchecked, appendInt, appendIntInternal, appendIntRaw, appendIntUnchecked, appendLong, appendLongInternal, appendLongRaw, appendLongUnchecked, appendString, appendStringInternal, appendStringRaw, appendStringUnchecked, appendTime, appendTimeInternal, appendTimeRaw, appendTimeUnchecked, appendValue, connectToDMCL, decrementIntInternal, decrementIntRaw, disconnectFromDMCL, doGetString, doInsertString, doRemove, doSetString, dump, dump, dumpAttribute, enumAttrs, executeDocbaseScopedQuery, findAttrIndex, findBoolean, findBooleanRaw, findDouble, findDoubleRaw, findId, findIdRaw, findInt, findIntRaw, findLong, findLongRaw, findString, findStringRaw, findTime, findTimeRaw, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getBooleanRaw, getBooleanUnchecked, getDouble, getDoubleRaw, getDoubleUnchecked, getId, getIdRaw, getIdUnchecked, getInt, getIntRaw, getIntUnchecked, getLiteType, getLong, getLongRaw, getLongUnchecked, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingBooleanRaw, getRepeatingBooleanUnchecked, getRepeatingDouble, getRepeatingDoubleRaw, getRepeatingDoubleUnchecked, getRepeatingId, getRepeatingIdRaw, getRepeatingIdUnchecked, getRepeatingInt, getRepeatingIntRaw, getRepeatingIntUnchecked, getRepeatingLong, getRepeatingLongRaw, getRepeatingLongUnchecked, getRepeatingString, getRepeatingStringRaw, getRepeatingStringUnchecked, getRepeatingTime, getRepeatingTimeRaw, getRepeatingTimeUnchecked, getRepeatingValue, getSession, getSessionManager, getSessionThatNeedsToBeReleased, getString, getStringRaw, getStringUnchecked, getTime, getTimeRaw, getTimeUnchecked, getTypeName, getUsersForTracing, getUserTracingInfo, getValue, getValueAt, getValueCount, getValueCountRaw, getValueCountUnchecked, incrementIntInternal, incrementIntRaw, initData, insertBoolean, insertBooleanInternal, insertBooleanRaw, insertBooleanUnchecked, insertDouble, insertDoubleInternal, insertDoubleRaw, insertDoubleUnchecked, insertId, insertIdInternal, insertIdRaw, insertIdUnchecked, insertInt, insertIntInternal, insertIntRaw, insertIntUnchecked, insertLong, insertLongInternal, insertLongRaw, insertLongUnchecked, insertString, insertStringInternal, insertStringRaw, insertStringUnchecked, insertTime, insertTimeInternal, insertTimeRaw, insertTimeUnchecked, insertValue, isAttrRepeating, isComputedTypeInfoAttribute, isModified, isModifiedButNotValidated, isNull, possiblyConvertToCheckedException, possiblyConvertToCheckedException, releaseSession, remove, removeAll, removeAllInternal, removeAllRaw, removeAllUnchecked, removeInternal, removeRaw, removeUnchecked, setBoolean, setBooleanInternal, setBooleanRaw, setBooleanUnchecked, setDouble, setDoubleInternal, setDoubleRaw, setDoubleUnchecked, setId, setIdInternal, setIdRaw, setIdUnchecked, setInt, setIntInternal, setIntRaw, setIntUnchecked, setLong, setLongInternal, setLongRaw, setLongUnchecked, setModified, setNull, setObjectSession, setOriginalSession, setRepeatingBoolean, setRepeatingBooleanInternal, setRepeatingBooleanRaw, setRepeatingBooleanUnchecked, setRepeatingDouble, setRepeatingDoubleInternal, setRepeatingDoubleRaw, setRepeatingDoubleUnchecked, setRepeatingId, setRepeatingIdInternal, setRepeatingIdRaw, setRepeatingIdUnchecked, setRepeatingInt, setRepeatingIntInternal, setRepeatingIntRaw, setRepeatingIntUnchecked, setRepeatingLong, setRepeatingLongInternal, setRepeatingLongRaw, setRepeatingLongUnchecked, setRepeatingString, setRepeatingStringInternal, setRepeatingStringRaw, setRepeatingStringUnchecked, setRepeatingTime, setRepeatingTimeInternal, setRepeatingTimeRaw, setRepeatingTimeUnchecked, setRepeatingValue, setSessionManager, setString, setStringInternal, setStringRaw, setStringUnchecked, setTime, setTimeInternal, setTimeRaw, setTimeUnchecked, setValidated, setValue, toString, truncate`

  ### Methods inherited from class com.documentum.fc.common.DfObject

  `getClassName, getStringRep, trace, trace, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPI, traceAPIExit, traceAPIExit, traceAPIExit, traceAPIExit, traceAPIExit, traceAPIExit, traceAPIExit, traceAPIExit, traceNoName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isInstanceOf, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.content.IDfStore

  `getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getRequireTicket, getStatus, getStoreType, getUseMaskAfter, setBaseUrl, setCapacity, setComponent, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStoreType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

  ### Methods inherited from interface com.documentum.fc.client.impl.IPersistentObject

  `clearAttachCallbacks, clearDetachCallbacks, destroyEx, dynamicInvoke, getAttachCallbacks, getDetachCallbacks, getDoubleProxyHandler, getExtendedData, getObjectFactory, getProxyHandler, getRefreshData, getSaveData, initialize, isCached, isCurrentWithServer, isDirty, isInvalid, isModifiedButNotValidated, isNew, isUnmaterializedLightObject, markDeletedForRead, onTransactionJoin, onTransactionRollback, refreshForReplicaSave, reinitialize, replaceData, requestDelayedDataRefresh, revertEx, saveEx, saveInternal, scheduleClassRebuilding, setAspects, setCached, setData, setDataWithoutRefresh, setDirty, setDoubleProxyHandler, setExtendedData, setInvalid, setValidated`

  ### Methods inherited from interface com.documentum.fc.client.internal.IPersistentObjectInternal

  `attachAspect, destroyInternal, detachAspect, exportForFtIndexing, getAspects`

  ### Methods inherited from interface com.documentum.fc.client.impl.ITypedObject

  `clone, getData, getLiteType, getObjectId, getObjectSession, getOriginalSession, getTypeName, isModified, setObjectSession, setOriginalSession`

  ### Methods inherited from interface com.documentum.fc.client.internal.ITypedObjectInternal

  `executeDocbaseScopedQuery`

  ### Methods inherited from interface com.documentum.fc.tracing.IUserIdentifyingObject

  `getUsersForTracing, getUserTracingInfo`

- ## Constructor Details

  - ### AtmosStore

    public AtmosStore()

- ## Method Details

  - ### init

    protected void init() throws DfException
    Description copied from class: `com.documentum.fc.client.DfPersistentObject`
    Performs custom initialization for a TBO when the Java object instance is first instantiated.

    TBO implementations can override this method to provide custom object initialization.
    Overrides:
      `init` in class `com.documentum.fc.client.content.impl.Store`
    Throws:
      `DfException`

  - ### onDataRefresh

    protected void onDataRefresh() throws DfException
    Description copied from class: `com.documentum.fc.client.DfPersistentObject`
    Called after the local copy of attribute values is refreshed, usually with a new copy from the repository.

    TBOs typically override this method to initialize transient fields that are derived from persistent data values.
    Overrides:
      `onDataRefresh` in class `com.documentum.fc.client.content.impl.Store`
    Throws:
      `DfException`

  - ### getStoreConfiguration

    public Map<String,String> getStoreConfiguration() throws DfException
    Specified by:
      `getStoreConfiguration` in interface `com.documentum.fc.client.content.impl.IStore`
    Overrides:
      `getStoreConfiguration` in class `com.documentum.fc.client.content.impl.Store`
    Throws:
      `DfException`